=== debian/changelog ===
qtkeychain (0.15.0-2) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Enable the Qt 6 support also on x32.
  * Remove no more used/needed debian/gbp.conf.

 -- Pino Toscano <pino@debian.org>  Thu, 02 Oct 2025 21:29:50 +0200

qtkeychain (0.15.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * The newly added tests require a FreeDesktop Secret service running, so
    disable them for now:
    - pass -DBUILD_TESTING=OFF to cmake
    - override dh_auto_test to be a no-op

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 19:54:26 +0100

qtkeychain (0.14.3-3) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Remove unused b-d against on libgcrypt20-dev. (Closes: 1071953)

  [ Pino Toscano ]
  * Enable the Qt 6 support also on few more architectures, i.e.
    alpha hppa hurd-amd64 sh4 (everything except m68k and x32).

 -- Pino Toscano <pino@debian.org>  Mon, 25 Nov 2024 16:34:47 +0100
