=== debian/control ===
Source: qtkeychain
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libsecret-1-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev [alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sh4 sparc64 s390x x32],
               qt6-l10n-tools [alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sh4 sparc64 s390x x32],
               qt6-tools-dev [alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sh4 sparc64 s390x x32],
               qt6-tools-dev-tools [alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sh4 sparc64 s390x x32],
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.7.2
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtkeychain.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtkeychain

Package: libqt5keychain1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Breaks: libqt5keychain0
Replaces: libqt5keychain0
Description: Qt API to store passwords (Qt 5 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 5.

Package: libqt6keychain1
Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sh4 sparc64 s390x x32
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Description: Qt API to store passwords (Qt 6 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 6.

Package: qt5keychain-dev
Section: oldlibs
Architecture: any
Depends: qtkeychain-qt5-dev (>= ${binary:Version}), ${misc:Depends}
Description: transitional package for qtkeychain-qt5-dev
 This is a transitional package. It can safely be removed.

Package: qtkeychain-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5keychain1 (= ${binary:Version}), ${misc:Depends}
Provides: qt5keychain-dev
Breaks: qt5keychain-dev (<< 0.13.2-3~)
Replaces: qt5keychain-dev (<< 0.13.2-3~)
Description: development files for qtkeychain (Qt 5 version)
 A Qt API to store passwords.
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 5.

Package: qtkeychain-qt6-dev
Section: libdevel
Architecture: alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sh4 sparc64 s390x x32
Multi-Arch: same
Depends: libqt6keychain1 (= ${binary:Version}), ${misc:Depends}
Description: development files for qtkeychain (Qt 6 version)
 A Qt API to store passwords,
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 6.
