=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

COMMON_CMAKE_ARGS = -DBUILD_TESTING=OFF

%:
	dh $@ --with pkgkde_symbolshelper

ifneq (,$(filter $(DEB_HOST_ARCH), alpha amd64 arm64 armel armhf hppa hurd-amd64 hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sh4 sparc64 s390x x32))
override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-Qt6

override_dh_auto_configure:
	dh_auto_configure -- $(COMMON_CMAKE_ARGS) -DBUILD_WITH_QT6=OFF
	dh_auto_configure --builddirectory=build-Qt6  -- $(COMMON_CMAKE_ARGS) -DBUILD_WITH_QT6=ON \
		-DECM_MKSPECS_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt6/mkspecs/modules

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-Qt6

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-Qt6
endif

override_dh_auto_test:
	# the tests require a FreeDesktop Secret service running
